/* ukazka jednoduche funkce, kterou lze volat z matlabu:
   mex test_fce.c     % kompilace
   test_fce(parametr) % volani
*/
   
#include "mex.h"

void test_fce(double y[], double x[])
{
    y[0] = x[0] + 10;
}

void mexFunction(int nlhs, mxArray *plhs[], int nrhs, const mxArray *prhs[])
{
    double *x, *y;
    int mrows, ncols;
    
    mrows = mxGetM(prhs[0]);
    ncols = mxGetN(prhs[0]);
    plhs[0] = mxCreateDoubleMatrix(mrows, ncols, mxREAL);
    x = mxGetPr(prhs[0]);
    y = mxGetPr(plhs[0]);
    
    test_fce(y,x);
}   
 
 