% hratky s obrazkem

clear

% nacteni
foto = imread('sklad/foto.jpg');

figure(1)
clf
% zobrazeni
image(foto)
axis equal

% vytvoreni koule
[x,y,z] = sphere(100);

% barvy budou pouzity jako textura
cdata = foto(:,:,1:3);

figure(2)
clf
% zobrazeni na kouli
surf(x,y,-z,cdata, 'FaceColor', 'texturemap', 'LineStyle', 'none')
axis off
axis equal
rotate3d on