% Brownuv pohyb - ukazka animace

clear

% pocet bodu
n = 100;
% 'rychlost'
s = 0.02;

% nahodne body
x = rand(n,1) - 0.5;
y = rand(n,1) - 0.5;

% nakresleni
h = plot(x,y,'.');
% osy
axis([-1 1 -1 1])
axis square
grid off
% nastaveni prekreslovaciho modu
set(h, 'EraseMode', 'xor', 'MarkerSize', 10);

% nekonecna animace
% while 1
while 0 % preskoc
   drawnow
   x = x + s * randn(n,1);
   y = y + s * randn(n,1);
   set(h, 'XData', x, 'YData', y)
end

% animace a ulozeni do matice 'mov'
nframes = 100;
mov = moviein(nframes);
set(gca, 'NextPlot', 'replacechildren');
for i = 1:nframes
   x = x + s * randn(n,1);
   y = y + s * randn(n,1);
   set(h, 'XData', x, 'YData', y)
   mov(:,i) = getframe(gca);
end

% prehraj movie
% movie(mov,1)

